Package com.salesforce.hyperdb.grpc

## Class QueryResultParam

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.salesforce.hyperdb.grpc.QueryResultParam

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `QueryResultParamOrBuilder`, `Serializable`

    public final class QueryResultParam
    extends com.google.protobuf.GeneratedMessageV3
    implements QueryResultParamOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.QueryResultParam`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `QueryResultParam.Builder` Protobuf type `salesforce.hyperdb.grpc.v1.QueryResultParam`
`static class` `QueryResultParam.RequestedDataCase`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,​BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,​BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `CHUNK_ID_FIELD_NUMBER`
`static int` `OMIT_SCHEMA_FIELD_NUMBER`
`static int` `OUTPUT_FORMAT_FIELD_NUMBER`
`static int` `QUERY_ID_FIELD_NUMBER`
`static int` `ROW_RANGE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`long` `getChunkId()` `uint64 chunk_id = 3;`
`static QueryResultParam` `getDefaultInstance()`
`QueryResultParam` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`boolean` `getOmitSchema()` `bool omit_schema = 4;`
`OutputFormat` `getOutputFormat()` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`
`int` `getOutputFormatValue()` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`
`com.google.protobuf.Parser<QueryResultParam>` `getParserForType()`
`String` `getQueryId()` `string query_id = 1;`
`com.google.protobuf.ByteString` `getQueryIdBytes()` `string query_id = 1;`
`QueryResultParam.RequestedDataCase` `getRequestedDataCase()`
`RowRange` `getRowRange()` `.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`
`RowRangeOrBuilder` `getRowRangeOrBuilder()` `.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`boolean` `hasChunkId()` `uint64 chunk_id = 3;`
`int` `hashCode()`
`boolean` `hasRowRange()` `.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static QueryResultParam.Builder` `newBuilder()`
`static QueryResultParam.Builder` `newBuilder​(QueryResultParam prototype)`
`QueryResultParam.Builder` `newBuilderForType()`
`protected QueryResultParam.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static QueryResultParam` `parseDelimitedFrom​(InputStream input)`
`static QueryResultParam` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryResultParam` `parseFrom​(byte[] data)`
`static QueryResultParam` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryResultParam` `parseFrom​(com.google.protobuf.ByteString data)`
`static QueryResultParam` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryResultParam` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static QueryResultParam` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryResultParam` `parseFrom​(InputStream input)`
`static QueryResultParam` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryResultParam` `parseFrom​(ByteBuffer data)`
`static QueryResultParam` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<QueryResultParam>` `parser()`
`QueryResultParam.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### QUERY_ID_FIELD_NUMBER

    public static final int QUERY_ID_FIELD_NUMBER

See Also:
  Constant Field Values

#### OUTPUT_FORMAT_FIELD_NUMBER

    public static final int OUTPUT_FORMAT_FIELD_NUMBER

See Also:
  Constant Field Values

#### CHUNK_ID_FIELD_NUMBER

    public static final int CHUNK_ID_FIELD_NUMBER

See Also:
  Constant Field Values

#### ROW_RANGE_FIELD_NUMBER

    public static final int ROW_RANGE_FIELD_NUMBER

See Also:
  Constant Field Values

#### OMIT_SCHEMA_FIELD_NUMBER

    public static final int OMIT_SCHEMA_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getRequestedDataCase

    public QueryResultParam.RequestedDataCase getRequestedDataCase()

Specified by:
  `getRequestedDataCase` in interface `QueryResultParamOrBuilder`

#### getQueryId

    public String getQueryId()

`string query_id = 1;`

Specified by:
  `getQueryId` in interface `QueryResultParamOrBuilder`
Returns:
  The queryId.

#### getQueryIdBytes

    public com.google.protobuf.ByteString getQueryIdBytes()

`string query_id = 1;`

Specified by:
  `getQueryIdBytes` in interface `QueryResultParamOrBuilder`
Returns:
  The bytes for queryId.

#### getOutputFormatValue

    public int getOutputFormatValue()

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`

Specified by:
  `getOutputFormatValue` in interface `QueryResultParamOrBuilder`
Returns:
  The enum numeric value on the wire for outputFormat.

#### getOutputFormat

    public OutputFormat getOutputFormat()

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 2;`

Specified by:
  `getOutputFormat` in interface `QueryResultParamOrBuilder`
Returns:
  The outputFormat.

#### hasChunkId

    public boolean hasChunkId()

`uint64 chunk_id = 3;`

Specified by:
  `hasChunkId` in interface `QueryResultParamOrBuilder`
Returns:
  Whether the chunkId field is set.

#### getChunkId

    public long getChunkId()

`uint64 chunk_id = 3;`

Specified by:
  `getChunkId` in interface `QueryResultParamOrBuilder`
Returns:
  The chunkId.

#### hasRowRange

    public boolean hasRowRange()

`.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

Specified by:
  `hasRowRange` in interface `QueryResultParamOrBuilder`
Returns:
  Whether the rowRange field is set.

#### getRowRange

    public RowRange getRowRange()

`.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

Specified by:
  `getRowRange` in interface `QueryResultParamOrBuilder`
Returns:
  The rowRange.

#### getRowRangeOrBuilder

    public RowRangeOrBuilder getRowRangeOrBuilder()

`.salesforce.hyperdb.grpc.v1.RowRange row_range = 5;`

Specified by:
  `getRowRangeOrBuilder` in interface `QueryResultParamOrBuilder`

#### getOmitSchema

    public boolean getOmitSchema()

`bool omit_schema = 4;`

Specified by:
  `getOmitSchema` in interface `QueryResultParamOrBuilder`
Returns:
  The omitSchema.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static QueryResultParam parseFrom​(ByteBuffer data)
                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryResultParam parseFrom​(ByteBuffer data,
                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryResultParam parseFrom​(com.google.protobuf.ByteString data)
                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryResultParam parseFrom​(com.google.protobuf.ByteString data,
                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryResultParam parseFrom​(byte[] data)
                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryResultParam parseFrom​(byte[] data,
                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                      throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryResultParam parseFrom​(InputStream input)
                                      throws IOException

Throws:
  `IOException`

#### parseFrom

    public static QueryResultParam parseFrom​(InputStream input,
                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                      throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static QueryResultParam parseDelimitedFrom​(InputStream input)
                                               throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static QueryResultParam parseDelimitedFrom​(InputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws IOException

Throws:
  `IOException`

#### parseFrom

    public static QueryResultParam parseFrom​(com.google.protobuf.CodedInputStream input)
                                      throws IOException

Throws:
  `IOException`

#### parseFrom

    public static QueryResultParam parseFrom​(com.google.protobuf.CodedInputStream input,
                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                      throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public QueryResultParam.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static QueryResultParam.Builder newBuilder()

#### newBuilder

    public static QueryResultParam.Builder newBuilder​(QueryResultParam prototype)

#### toBuilder

    public QueryResultParam.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected QueryResultParam.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static QueryResultParam getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<QueryResultParam> parser()

#### getParserForType

    public com.google.protobuf.Parser<QueryResultParam> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public QueryResultParam getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`